Name:          perl-Net-DNS
Version:       1.40
Release:       1
Summary:       DNS resolver modules for Perl
License:       (GPL+ or Artistic) and MIT
URL:           https://metacpan.org/release/Net-DNS
Source0:       https://cpan.metacpan.org/authors/id/N/NL/NLNETLABS/Net-DNS-%{version}.tar.gz
BuildArch:     noarch

BuildRequires: coreutils findutils glibc-common make sed perl-generators perl-interpreter
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.76 perl(Getopt::Long) perl(IO::Socket) perl(base)
BuildRequires: perl(Carp) perl(constant) perl(Data::Dumper) perl(Digest::HMAC) >= 1.03
BuildRequires: perl(Digest::MD5) >= 2.13 perl(Digest::SHA) >= 5.23 perl(Encode) perl(Exporter)
BuildRequires: perl(File::Spec) perl(FileHandle) perl(integer) perl(IO::File) perl(overload)
BuildRequires: perl(IO::Socket::IP) >= 0.32 perl(MIME::Base64) >= 2.11 perl(Net::LibIDN2) >= 1
BuildRequires: perl(Socket) perl(strict) perl(Time::Local) perl(warnings) perl(File::Find)
BuildRequires: perl(Test::Builder) perl(Test::More) perl(Test::Pod) >= 1.45
BuildRequires: perl(Net::DNS::SEC) perl(Net::DNS::SEC::RSA)
Requires:      perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version)) perl(Data::Dumper) perl(MIME::Base64) >= 2.11
Requires:      perl(Digest::HMAC) >= 1.03 perl(Digest::MD5) >= 2.13 perl(Digest::SHA) >= 5.23 perl(Encode)
Suggests:      perl(Config) perl(Net::DNS::SEC::DSA) perl(Net::DNS::SEC::ECDSA) perl(Net::DNS::SEC::EdDSA) perl(Scalar::Util) >= 1.25
Suggests:      perl(Net::DNS::SEC::Private) perl(Net::DNS::SEC::RSA) perl(Net::LibIDN2) >= 1
Recommends:    perl(IO::Socket::IP) >= 0.32

%{?perl_default_filter}

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Digest::HMAC\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Digest::MD5\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Digest::SHA\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(MIME::Base64\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(CONFIG\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(OS_CONF\\)$
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\((Net::DNS::Text)\\)$
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\((Net::DNS::RR::OPT)\\)$

Provides:      %{name}-Nameserver = %{version}-%{release}
Obsoletes:     %{name}-Nameserver < %{version}-%{release}

%description
Net :: DNS is a collection of Perl's Domain Name System resolvers.
It allows programmers to perform DNS queries for gethostbyname and
gethostbyaddr functions.

The programmer should be somewhat familiar with the format of a DNS packet and
its various sections. See RFC 1035 or DNS and BIND (Albitz & Liu) for details.

%package help
Summary:       Introduce how to use %{name}

%description help
User's Manual for %{name}

%prep
%autosetup  -n Net-DNS-%{version} -p1
chmod -x demo/*
sed -i -e '1 s,^#!/usr/local/bin/perl,#!%{__perl},' demo/*
for i in Changes; do
    iconv -f iso8859-1 -t utf-8 "$i" > "${i}.conv"
    mv -f "${i}.conv" "$i"
done

%build
export PERL_MM_USE_DEFAULT=yes
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 --no-online-tests
%make_build OPTIMIZE="%{optflags}"

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name '*.bs' -a -size 0 -delete
chmod -R u+w %{buildroot}/*

%check
make test

%files
%doc README Changes demo
%{perl_vendorlib}/Net/
%{perl_vendorlib}/Net/DNS/Nameserver.pm
%exclude %{perl_vendorlib}/Net/DNS/Resolver/cygwin.pm
%exclude %{perl_vendorlib}/Net/DNS/Resolver/MSWin32.pm

%files help
%{_mandir}/man3/Net::DNS*.3*
%{_mandir}/man3/Net::DNS::Nameserver*
%exclude %{_mandir}/man3/Net::DNS::Resolver::cygwin.3*
%exclude %{_mandir}/man3/Net::DNS::Resolver::MSWin32.3*

%changelog
* Fri Dec 15 2023 liyanan  <liyanan61@h-partners.com> - 1.40-1
- Upgrade to version 1.40

* Tue May 16 2023 Ge Wang <wang__ge@126.com> - 1.38-1
- Upgrade to version 1.38

* Tue Jun 14 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.34-1
- Upgrade to version 1.34

* Fri Dec 06 2019 yangjian<yangjian79@huawei.com> - 1.17-2
- Package init
